org.eclipse.oomph.setup.util

## Class StringExpander

- java.lang.Object
- - org.eclipse.oomph.setup.util.StringExpander

-     public abstract class StringExpander
      extends Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Pattern` | `STRING_EXPANSION_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringExpander()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `expandString(String string)`
    `String` | `expandString(String string, Set<String> keys)`
    `protected static String` | `filter(StringExpander stringExpander, String value, String filterName)`
    `protected abstract String` | `filter(String value, String filterName)`
    `protected abstract boolean` | `isUnexpanded(String key)`
    `protected static boolean` | `isUnexpanded(StringExpander stringExpander, String key)`
    `protected abstract String` | `resolve(String key)`
    `protected static String` | `resolve(StringExpander stringExpander, String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING_EXPANSION_PATTERN

          public static final Pattern STRING_EXPANSION_PATTERN

  - ### Constructor Detail

    - #### StringExpander

          public StringExpander()

  - ### Method Detail

    - #### resolve

          protected static String resolve(StringExpander stringExpander,
                       String key)

    - #### isUnexpanded

          protected static boolean isUnexpanded(StringExpander stringExpander,
                             String key)

    - #### filter

          protected static String filter(StringExpander stringExpander,
                      String value,
                      String filterName)

    - #### resolve

          protected abstract String resolve(String key)

    - #### isUnexpanded

          protected abstract boolean isUnexpanded(String key)

    - #### filter

          protected abstract String filter(String value,
                      String filterName)

    - #### expandString

          public String expandString(String string)

    - #### expandString

          public String expandString(String string,
                            Set<String> keys)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html